# Fee Market

As described on the [Gas page](https://www.ethhub.io/docs/ethereum-101/key-concepts/gas), the Ethereum gas block limit means that there is a limit to how many computations can occur per block. This creates a fee market for gas where miners will accept higher paying transactions first.  Users that want their transactions to be included first can pay a higher gas price than those who aren't in a rush. Key concepts to understand about the fee market are:

| Term | Description |
| :--- | :--- |
| Gas Price | How much a user is willing to pay per gas for work \(in gwei\) |
| Safe Low | A price that will be mined in a reasonable time \(&lt;50 blocks\) |
| Standard Gas Price | The average gas price being paid by the network |
| Fast Gas Price | A price that will be mined within the next few blocks |

The best resource for the Ethereum fee market is [EthGasStation](https://ethgasstation.info/).

